package com.heyu.api.data.service.impl.api;
/**
* <p>
* 结果表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-09
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.api.ApiResultDao;
import com.heyu.api.data.entity.api.ApiResultEntity;
import com.heyu.api.data.service.api.ApiResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class ApiResultServiceImpl extends ServiceImpl<ApiResultDao, ApiResultEntity> implements ApiResultService {


    @Autowired
	private ApiResultDao apiResultDao;



	@Override
	public ApiResultEntity selectApiResultById(Long id){
		return apiResultDao.selectApiResultById(id);
	}



	@Override
	public Long insertApiResult(ApiResultEntity apiResult){
		return apiResultDao.insertApiResult(apiResult);
	}



	@Override
	public Long insertOrUpdateApiResult(ApiResultEntity apiResult){
		return apiResultDao.insertOrUpdateApiResult(apiResult);
	}



	@Override
	public int updateApiResultById(ApiResultEntity apiResult){
		return apiResultDao.updateApiResultById(apiResult);
	}



	@Override
	public int updateCoverApiResultById(ApiResultEntity apiResult){
		return apiResultDao.updateCoverApiResultById(apiResult);
	}



	@Override
	public int deleteApiResultById(Long id){
		return apiResultDao.deleteApiResultById(id);
	}



}
